List export jobs by context
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/export-jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/export-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/export-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"items": [
{
"bytesWritten": 123,
"createdAt": "<string>",
"downloadUrl": "<string>",
"error": "<string>",
"expiresAt": "<string>",
"fileName": "<string>",
"finishedAt": "<string>",
"format": "<string>",
"id": "<string>",
"recordsWritten": 123,
"reportType": "<string>",
"startedAt": "<string>",
"status": "<string>"
}
],
"limit": 20,
"nextCursor": "eyJpZCI6IjEyMyJ9"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "The request contains invalid parameters or malformed syntax. Please check your request and try again."
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}List export jobs by context
Use this endpoint to list all export jobs for a specific reconciliation context. Supports cursor-based pagination.
GET
/
v1
/
contexts
/
{contextId}
/
export-jobs
List export jobs by context
Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Path Parameters
The unique identifier of the reconciliation context.
Query Parameters
The maximum number of items to include in the response.
Required range:
1 <= x <= 200The cursor value for retrieving the next page of results.
Was this page helpful?
⌘I

